"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      breakpoints = _ref.breakpoints;
  return {
    contentBackgroundColor: colors.white,
    contentPaddingTopBottom: spacing.small,
    contentPaddingLeftRight: spacing.medium,
    bankNamePaddingBottom: spacing.small,
    phoneBreakPoint: "max-width: ".concat(breakpoints.medium),
    phoneContentPadding: spacing.small
  };
}