"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _redux = require("redux");

var _presenter = _interopRequireDefault(require("./presenter"));

var _reactRedux = require("../../../common/react-redux");

var _banks = require("../../../banks/api/banks");

var modalActions = _interopRequireWildcard(require("../../../common/actions/modal"));

var _modifications = require("../../../common/actions/modifications");

function mapDispatchToProps(dispatch) {
  return {
    createBank: (0, _redux.bindActionCreators)(_modifications.createBank, dispatch),
    getBanks: (0, _redux.bindActionCreators)(_banks.getBanks, dispatch),
    openModal: (0, _redux.bindActionCreators)(modalActions.openModal, dispatch)
  };
}

var _default = (0, _reactRedux.connect)(null, mapDispatchToProps)(_presenter.default);

exports.default = _default;