"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var borders = _ref.borders,
      colors = _ref.colors,
      typography = _ref.typography,
      spacing = _ref.spacing;
  return {
    bankRowBorderWidth: borders.widthSmall,
    bankRowBorderColor: colors.tiara,
    bankInfoMargin: spacing.small,
    bankTitleFontSize: typography.fontSizeSmall,
    bankTitlePadding: spacing.xSmall,
    bankTitleLinkColor: colors.licorice,
    bankTitleLinkHoverColor: colors.licorice,
    bankDetailsColor: colors.ash,
    bankDetailsFontSize: typography.fontSizeXSmall,
    bankOptionsMargin: spacing.small,
    BankOptionIconMargin: spacing.xSmall,
    BankOptionIconFontSize: typography.fontSizeMedium,
    deletePrefaceMargin: spacing.xxSmall
  };
}