"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      typography = _ref.typography,
      borders = _ref.borders;
  return {
    titleEditWrapperBorderWidth: borders.widthSmall,
    titleEditWrapperBorderColor: colors.ash,
    titleEditWrapperLeftPadding: spacing.large,
    titleEditInputFontSize: typography.fontSizeXLarge,
    errorBorderMargin: spacing.xxSmall,
    errorBorderPadding: spacing.xxSmall,
    errorBorderColor: colors.crimson,
    errorBorderBorderRadius: borders.radiusSmall
  };
}