"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      typography = _ref.typography,
      borders = _ref.borders;
  return {
    quizEntryShowPadding: "".concat(spacing.large, " ").concat(spacing.small),
    quizEntryShowBackgroundColor: colors.white,
    headerHeight: '2rem',
    headerRightPadding: spacing.xSmall,
    dndBorder: "".concat(borders.style, " ").concat(borders.widthSmall, " ").concat(colors.brand),
    rightHeaderZIndex: '3333',
    rightHeaderColor: colors.oxford,
    titleInteractionTypeNamePointsColor: colors.slate,
    titleInteractionTypeNamePointsFontSize: typography.fontSizeSmall,
    titleInteractionTypeNamePointsLeftMargin: spacing.xSmall,
    titleInteractionTypeNamePointsRightMargin: spacing.xSmall,
    itemHolderMargin: spacing.xSmall,
    optionsButtonDragDropHandleFontSize: typography.fontSizeMedium,
    optionsButtonDragDropHandleMargin: spacing.xSmall
  };
}