"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addFeatures = addFeatures;
exports.removeFeatures = removeFeatures;

var _constants = require("@instructure/quiz-common/lib/constants");

function addFeatures(featuresList) {
  return {
    type: _constants.ADD_FEATURES,
    payload: featuresList
  };
}

function removeFeatures(featuresToRemove) {
  return {
    type: _constants.REMOVE_FEATURES,
    payload: featuresToRemove
  };
}