"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.closeTray = closeTray;
exports.onTrayClosed = onTrayClosed;
exports.openTray = openTray;

var _constants = require("@instructure/quiz-common/lib/constants");

function closeTray() {
  return {
    type: _constants.CLOSE_MODERATE_TRAY
  };
}

function onTrayClosed() {
  return {
    type: _constants.MODERATE_TRAY_CLOSED
  };
}

function openTray(participant) {
  return {
    type: _constants.OPEN_MODERATE_TRAY,
    participant: participant
  };
}