"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.scrollToItem = scrollToItem;
exports.clearsScrolledComponentKey = clearsScrolledComponentKey;

var _constants = require("@instructure/quiz-common/lib/constants");

function scrollToItem(scrolledComponentKey) {
  var requireFocus = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : true;
  return {
    type: _constants.SCROLL_TO_COMPONENT,
    payload: scrolledComponentKey,
    scrollingFocus: requireFocus
  };
}

function clearsScrolledComponentKey() {
  return {
    type: _constants.CLEAR_SCROLLED_COMPONENT
  };
}