"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toggleSidebar = toggleSidebar;
exports.setSidebarStimulusIsShowing = setSidebarStimulusIsShowing;

var _constants = require("@instructure/quiz-common/lib/constants");

function toggleSidebar() {
  return {
    type: _constants.TOGGLE_SIDEBAR
  };
}

function setSidebarStimulusIsShowing(stimulusId, bool) {
  return {
    type: _constants.SET_SIDEBAR_STIMULUS_IS_SHOWING,
    payload: {
      stimulusId: stimulusId,
      bool: bool
    }
  };
}