"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.interactionTypeFetch = void 0;

var _Fetcher = _interopRequireDefault(require("../util/Fetcher"));

var _callHandlers = require("./callHandlers");

var interactionTypeFetch = function interactionTypeFetch() {
  var url = '/api/interaction_types';
  var fetcher = new _Fetcher.default();
  return function (dispatch, getState) {
    return fetcher.get(url).then(function (interactionTypesData) {
      dispatch((0, _callHandlers.handleInteractionTypesResponse)(interactionTypesData));
    });
  };
};

exports.interactionTypeFetch = interactionTypeFetch;