"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactRedux = require("../../react-redux");

var _modal = require("../../actions/modal");

var _ImportModal = require("../../../common/components/ImportModal");

var _presenter = _interopRequireDefault(require("./presenter"));

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    openImportModal: function openImportModal(importModalId) {
      dispatch((0, _modal.openModal)((0, _ImportModal.generateImportModalId)(importModalId)));
    }
  };
};

var mergeProps = function mergeProps(stateProps, dispatchProps, ownProps) {
  return Object.assign({}, stateProps, dispatchProps, ownProps);
};

var _default = (0, _reactRedux.connect)(null, mapDispatchToProps, mergeProps, {
  withRef: true
})(_presenter.default);

exports.default = _default;