"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var typography = _ref.typography,
      breakpoints = _ref.breakpoints,
      transitions = _ref.transitions;
  return {
    fontFamily: typography.fontFamily,
    phoneBreakPoint: "max-width: ".concat(breakpoints.medium),
    contentTransition: "transform ".concat(transitions.duration)
  };
}