"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      typography = _ref.typography;
  return {
    positionMargin: spacing.xSmall,
    positionPadding: spacing.xSmall,
    positionBackgroundColor: colors.licorice,
    positionZIndex: '3333',
    positionDimension: '2em',
    positionTextColor: colors.porcelain,
    positionTextFontSize: typography.fontSizeMedium
  };
}