"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      typography = _ref.typography,
      colors = _ref.colors,
      borders = _ref.borders;
  return {
    sessionItemResultPadding: spacing.small,
    topBorderWidth: borders.widthSmall,
    topBorderColor: colors.tiara,
    resultMargin: spacing.small,
    pointsColor: colors.ash,
    pointFontSize: typography.fontSizeXSmall,
    questionFontSize: typography.fontSizeMedium,
    itemFeedbackWrapperMargin: spacing.small,
    itemFeedbackWrapperPadding: spacing.xSmall,
    itemFeedbackWrapperBackgroundColor: colors.porcelain,
    itemFeedbackWrapperBorderRadius: borders.radiusMedium,
    itemFeedbackWrapperFontSize: typography.fontSizeSmall,
    itemFeedbackLabelColor: colors.oxford,
    itemFeedbackLabelFontSize: typography.fontSizeXSmall,
    itemFeedbackMargin: spacing.xxSmall,
    itemFeedbackTextMargin: spacing.xxxSmall
  };
}