"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      typography = _ref.typography,
      colors = _ref.colors,
      borders = _ref.borders;
  return {
    sessionItemResultsListHeaderWrapperMarginTopBottom: spacing.small,
    sessionItemResultsListHeaderWrapperMarginLeftRight: spacing.large,
    sessionItemResultsListHeaderFontSize: typography.fontSizeXLarge,
    sessionItemResultsListMargin: spacing.xSmall,
    sessionItemResultsListBorderColor: colors.tiara,
    sessionItemResultsListBorderWidth: borders.widthSmall
  };
}