"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      typography = _ref.typography,
      colors = _ref.colors;
  return {
    titleFontWeight: typography.fontWeightBold,
    titleFontSize: typography.fontSizeLarge,
    instructionFontSize: typography.fontSizeSmall,
    instructionsPadding: spacing.small,
    instructionsMargin: spacing.xSmall,
    instructionsBackgroundColor: colors.porcelain,
    instructionsLabelFontWeight: typography.fontWeightBold,
    instructionsLabelPadding: spacing.smal
  };
}