"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _omit = _interopRequireDefault(require("lodash/omit"));

var _lib = _interopRequireDefault(require("@instructure/ui-themeable/lib"));

var _theme = _interopRequireDefault(require("./theme"));

var _dec, _class, _class2, _temp;

var styles = {
  componentId: 'cqBsX',
  template: function template(theme) {
    return "\n\n.cqBsX_caGd{background-color:".concat(theme.contentBackgroundColor || 'inherit', ";border-radius:").concat(theme.contentBorderRadius || 'inherit', ";box-shadow:").concat(theme.contentBoxShadow || 'inherit', ";margin:").concat(theme.contentMargin || 'inherit', " auto;max-width:").concat(theme.contentMaxWidth || 'inherit', ";transition:").concat(theme.contentTransitionDuration || 'inherit', " ease}\n\n@media screen and (--phoneBreakPoint){.cqBsX_caGd{margin:").concat(theme.phoneContentMargin || 'inherit', " auto}}");
  },
  'content': 'cqBsX_caGd'
};
var CardContent = (_dec = (0, _lib.default)(_theme.default, styles), _dec(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(CardContent, _Component);

  function CardContent() {
    (0, _classCallCheck2.default)(this, CardContent);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(CardContent).apply(this, arguments));
  }

  (0, _createClass2.default)(CardContent, [{
    key: "render",
    value: function render() {
      return _react.default.createElement("div", Object.assign({
        className: (0, _classnames.default)(styles.content, this.props.className)
      }, (0, _omit.default)(this.props, Object.keys(CardContent.propTypes))), this.props.children);
    }
  }]);
  CardContent.displayName = "CardContent";
  return CardContent;
}(_react.Component), _class2.propTypes = {
  children: _propTypes.default.node.isRequired,
  className: _propTypes.default.string
}, _class2.defaultProps = {
  className: null
}, _temp)) || _class);
exports.default = CardContent;