"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStateToProps = mapStateToProps;
exports.default = void 0;

var _reactRedux = require("../../../react-redux");

var _presenter = _interopRequireDefault(require("./presenter"));

var _featureCheck = require("../../../util/featureCheck");

function mapStateToProps(state, props) {
  return {
    isOn: (0, _featureCheck.featureOn)(props.name)
  };
}

var _default = (0, _reactRedux.connect)(mapStateToProps)(_presenter.default);

exports.default = _default;