"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactRedux = require("../../../react-redux");

var _featureCheck = require("../../../util/featureCheck");

var _presenter = _interopRequireDefault(require("./presenter"));

function mapStateToProps(state) {
  return {
    stimulusOn: (0, _featureCheck.featureOn)('stimulus')
  };
}

var _default = (0, _reactRedux.connect)(mapStateToProps)(_presenter.default);

exports.default = _default;