"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getItemByPosition = getItemByPosition;

function getItemByPosition(state, position) {
  var activeSessionId = state.getIn(['quizSessions', 'activeQuizSessionId']);
  return state.get('sessionItems').find(function (item) {
    return item.get('quizSessionId') === activeSessionId && item.get('position') === position;
  }) || null;
}