"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = elementsForSelectors;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

function elementsForSelectors(appContainer) {
  var selectors = Array.isArray(appContainer) ? appContainer : [appContainer];
  var elements = selectors.reduce(function (acc, selector) {
    return [].concat((0, _toConsumableArray2.default)(acc), (0, _toConsumableArray2.default)(document.querySelectorAll(selector)));
  }, []);
  return elements;
}