"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Provider", {
  enumerable: true,
  get: function get() {
    return _reactRedux.Provider;
  }
});
Object.defineProperty(exports, "Calculator", {
  enumerable: true,
  get: function get() {
    return _index.default;
  }
});
Object.defineProperty(exports, "Timer", {
  enumerable: true,
  get: function get() {
    return _presenter.default;
  }
});
Object.defineProperty(exports, "HeaderMenuButton", {
  enumerable: true,
  get: function get() {
    return _index2.default;
  }
});
Object.defineProperty(exports, "AddContentPopover", {
  enumerable: true,
  get: function get() {
    return _presenter2.default;
  }
});
Object.defineProperty(exports, "ReportList", {
  enumerable: true,
  get: function get() {
    return _ReportList2.default;
  }
});
Object.defineProperty(exports, "ReportCard", {
  enumerable: true,
  get: function get() {
    return _ReportCard2.default;
  }
});
Object.defineProperty(exports, "QuizAndItemAnalysis", {
  enumerable: true,
  get: function get() {
    return _QuizAndItemAnalysis2.default;
  }
});
Object.defineProperty(exports, "Legend", {
  enumerable: true,
  get: function get() {
    return _Legend2.default;
  }
});
Object.defineProperty(exports, "ActionButtons", {
  enumerable: true,
  get: function get() {
    return _ActionButtons2.default;
  }
});
Object.defineProperty(exports, "BuildingButtons", {
  enumerable: true,
  get: function get() {
    return _presenter3.default;
  }
});
Object.defineProperty(exports, "config", {
  enumerable: true,
  get: function get() {
    return _config2.default;
  }
});
Object.defineProperty(exports, "Fetcher", {
  enumerable: true,
  get: function get() {
    return _Fetcher2.default;
  }
});
Object.defineProperty(exports, "LocaleSwitcher", {
  enumerable: true,
  get: function get() {
    return _LocaleSwitcher2.default;
  }
});
exports.ModerateTable = exports.SDKApp = void 0;

var _SDKApp = _interopRequireDefault(require("./common/components/SDKApp"));

var _ModerateTable = _interopRequireDefault(require("./moderating/components/resources/ModerateTable"));

var _reactRedux = require("react-redux");

var _index = _interopRequireDefault(require("./common/components/layout/header/Calculator/index"));

var _presenter = _interopRequireDefault(require("./common/components/layout/header/Timer/presenter"));

var _index2 = _interopRequireDefault(require("./common/components/layout/header/HeaderMenuButton/index"));

var _presenter2 = _interopRequireDefault(require("./common/components/resources/quiz/AddContent/Popover/presenter"));

var _ReportList2 = _interopRequireDefault(require("./reporting/components/resources/ReportList"));

var _ReportCard2 = _interopRequireDefault(require("./reporting/components/resources/ReportCard"));

var _QuizAndItemAnalysis2 = _interopRequireDefault(require("./reporting/components/resources/QuizAndItemAnalysis"));

var _Legend2 = _interopRequireDefault(require("./reporting/components/charts/Legend"));

var _ActionButtons2 = _interopRequireDefault(require("./building/components/resources/ActionButtons"));

var _presenter3 = _interopRequireDefault(require("./building/components/layout/header/BuildingButtons/presenter"));

var _config2 = _interopRequireDefault(require("./config"));

var _Fetcher2 = _interopRequireDefault(require("./common/util/Fetcher"));

var _LocaleSwitcher2 = _interopRequireDefault(require("./common/util/LocaleSwitcher"));

// Exports will here be accessible to the code in the jsx examples in the markdown code comments
var SDKApp = _SDKApp.default;
exports.SDKApp = SDKApp;
var ModerateTable = _ModerateTable.default;
exports.ModerateTable = ModerateTable;