"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStateToProps = mapStateToProps;
exports.default = void 0;

var _reactRedux = require("../../../../common/react-redux");

var _presenter = _interopRequireDefault(require("./presenter"));

function mapStateToProps(state) {
  return {
    appContainer: state.getIn(['ui', 'appContainer']),
    contextUuid: state.getIn(['outcomes', 'contextUuid']),
    outcomesHost: state.getIn(['outcomes', 'outcomesEndpoint']),
    outcomesToken: state.getIn(['outcomes', 'outcomesToken'])
  };
}

var _default = (0, _reactRedux.connect)(mapStateToProps)(_presenter.default);

exports.default = _default;