"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Heading = _interopRequireDefault(require("@instructure/ui-elements/lib/components/Heading"));

var _lib = _interopRequireDefault(require("@instructure/ui-themeable/lib"));

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _theme = _interopRequireDefault(require("./theme"));

var _dec, _class, _class2, _temp;

var styles = {
  componentId: 'dEgkK',
  template: function template(theme) {
    return "\n\n.dEgkK_xNcP{background-color:".concat(theme.backgroundColor || 'inherit', ";box-sizing:border-box;height:100%;padding:").concat(theme.pagePadding || 'inherit', "}\n\n.dEgkK_biBD{display:flex;flex-wrap:wrap;margin:").concat(theme.childrenMargin || 'inherit', "}\n\n.dEgkK_nvdO{margin:").concat(theme.titleMarginTop || 'inherit', " ").concat(theme.titleMarginLeftRight || 'inherit', " ").concat(theme.titleMarginBottom || 'inherit', " ").concat(theme.titleMarginLeftRight || 'inherit', "}");
  },
  'page': 'dEgkK_xNcP',
  'children': 'dEgkK_biBD',
  'title': 'dEgkK_nvdO'
};
var ReportList = (_dec = (0, _lib.default)(_theme.default, styles), _dec(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(ReportList, _Component);

  function ReportList() {
    (0, _classCallCheck2.default)(this, ReportList);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(ReportList).apply(this, arguments));
  }

  (0, _createClass2.default)(ReportList, [{
    key: "render",
    value: function render() {
      var children = this.props.children;
      return _react.default.createElement("div", {
        className: styles.page
      }, _react.default.createElement("span", {
        className: "title"
      }, _react.default.createElement(_Heading.default, {
        level: "h2",
        as: "h1"
      }, "Report")), _react.default.createElement("div", {
        className: styles.children
      }, children));
    }
  }]);
  ReportList.displayName = "ReportList";
  return ReportList;
}(_react.Component), _class2.propTypes = {
  children: _propTypes.default.node.isRequired
}, _temp)) || _class);
exports.default = ReportList;