"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _Button = _interopRequireDefault(require("@instructure/ui-buttons/lib/components/Button"));

var _Heading = _interopRequireDefault(require("@instructure/ui-elements/lib/components/Heading"));

var ResetQuiz =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(ResetQuiz, _Component);

  function ResetQuiz() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, ResetQuiz);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(ResetQuiz)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _this.focusReopenButton = function () {
      _this.reopenButtonRef && _this.reopenButtonRef.focus();
    };

    _this.reopenQuizSession = function () {
      _this.props.withConfirm(
      /*#__PURE__*/
      (0, _asyncToGenerator2.default)(
      /*#__PURE__*/
      _regenerator.default.mark(function _callee() {
        return _regenerator.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _context.next = 2;
                return _this.props.reopenQuizSession(_this.props.sessionId);

              case 2:
                _this.props.trayResetFocus();

                _this.props.screenreaderNotification("\u5B66\u751F\u7684\u5C1D\u8BD5\u5DF2\u7ECF\u91CD\u542F");

              case 4:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      })), {
        onCancel: _this.focusReopenButton,
        shouldReturnFocus: false,
        // manually handling return focus instead
        title: "\u91CD\u65B0\u6253\u5F00\u5C1D\u8BD5",
        continueText: "\u91CD\u65B0\u6253\u5F00",
        text: "\u91CD\u65B0\u6253\u5F00\u6B64\u5C1D\u8BD5\u5C06\u5141\u8BB8\u5B66\u751F\u6062\u590D\u6B64\u6B21\u8BC4\u4F30\u3002\n        \u4EE5\u524D\u5F55\u5236\u7684\u56DE\u7B54\u5C06\u4FDD\u7559\u3002\u5982\u679C\u8FD9\u662F\u4E00\u4E2A\u65F6\u6548\u6027\u8BC4\u4F30\uFF0C\n        \u8BA1\u65F6\u5668\u5C06\u6062\u590D\u5230\u521D\u6B21\u63D0\u4EA4\u540E\u7684\u5269\u4F59\u65F6\u95F4\u3002"
      });
    };

    _this.reopenButtonRef = function (node) {
      _this.reopenButtonRef = node;
    };

    return _this;
  }

  (0, _createClass2.default)(ResetQuiz, [{
    key: "render",
    value: function render() {
      if (!this.props.reopenOn) return null;

      if (!this.props.sessionId) {
        return _react.default.createElement("span", null, "\u5C1A\u672A\u8BB0\u5F55\u4EFB\u4F55\u5C1D\u8BD5\u3002");
      }

      return _react.default.createElement("div", null, _react.default.createElement(_Heading.default, {
        level: "h3"
      }, "\u7BA1\u7406\u5F53\u524D\u5C1D\u8BD5"), this.props.reopenOn ? _react.default.createElement(_Button.default, {
        ref: this.reopenButtonRef,
        onClick: this.reopenQuizSession,
        disabled: !this.props.isComplete,
        margin: "medium none"
      }, "\u91CD\u65B0\u6253\u5F00") : null);
    }
  }]);
  ResetQuiz.displayName = "ResetQuiz";
  return ResetQuiz;
}(_react.Component);

exports.default = ResetQuiz;
ResetQuiz.propTypes = {
  sessionId: _propTypes.default.string.isRequired,
  isComplete: _propTypes.default.bool.isRequired,
  trayResetFocus: _propTypes.default.func.isRequired,
  reopenQuizSession: _propTypes.default.func.isRequired,
  reopenOn: _propTypes.default.bool.isRequired,
  screenreaderNotification: _propTypes.default.func.isRequired,
  withConfirm: _propTypes.default.func.isRequired
};