"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      typography = _ref.typography,
      borders = _ref.borders;
  return {
    contentBackgroundColor: colors.white,
    entryRowMargin: spacing.small,
    headerRowColor: colors.ash,
    headerRowPadding: spacing.small,
    headerTextFontSize: typography.fontSizeSmall,
    leftHeaderMargin: spacing.small,
    headerBackgroundColor: colors.porcelain,
    headerColor: colors.licorice,
    headerPaddingTopBottom: spacing.xSmall,
    headerPaddingLeftRight: spacing.small,
    footerPaddingBottom: spacing.xSmall,
    footerPaddingTop: spacing.small,
    rightHeaderPaddingLeft: spacing.xSmall,
    rightFooterPaddingLeftRight: spacing.small,
    entryEditBorderWidth: borders.widthSmall,
    entryEditBorderColor: colors.tiara
  };
}