"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _redux = require("redux");

var _reactRedux = require("../../../common/react-redux");

var modalActions = _interopRequireWildcard(require("../../../common/actions/modal"));

var _ImportModal = require("../../../common/components/ImportModal");

var _presenter = _interopRequireDefault(require("./presenter"));

function mapStateToProps(state, props) {
  return {};
}

function mapDispatchToProps(dispatch) {
  return {
    openImportModal: (0, _redux.bindActionCreators)(modalActions.openModal.bind(modalActions, (0, _ImportModal.generateImportModalId)('qtiImport')), dispatch)
  };
}

var _default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_presenter.default);

exports.default = _default;