"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var typography = _ref.typography,
      colors = _ref.colors,
      spacing = _ref.spacing;
  return {
    labelPadding: spacing.small,
    labelLeftPadding: spacing.large,
    labelBottomPadding: spacing.xxSmall,
    labelFontSize: typography.fontSizeSmall,
    labelColor: colors.slate,
    editButtonWrapperRightMargin: spacing.large
  };
}