"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      typography = _ref.typography;
  return {
    headerBackgroundColor: colors.porcelain,
    headerColor: colors.oxford,
    headerPadding: "".concat(spacing.xSmall, " ").concat(spacing.small),
    interactionTypeFontSize: typography.fontSizeSmall,
    interactionTypeLeftMargin: spacing.xSmall,
    interactionTypeRightMargin: spacing.xSmall,
    titleInputFontSize: typography.fontSizeMedium
  };
}