"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setAPIEndpoint = setAPIEndpoint;
exports.setUserToken = setUserToken;

var _constants = require("@instructure/quiz-common/lib/constants");

function setAPIEndpoint(endpoint) {
  return {
    type: _constants.SET_API_ENDPOINT,
    payload: endpoint
  };
}

function setUserToken(token) {
  return {
    type: _constants.SET_USER_TOKEN,
    payload: token
  };
}