"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setContextUuid = setContextUuid;
exports.setOutcomesEndpoint = setOutcomesEndpoint;
exports.setOutcomesToken = setOutcomesToken;

var _constants = require("@instructure/quiz-common/lib/constants");

function setContextUuid(contextUuid) {
  return {
    type: _constants.SET_CONTEXT_UUID,
    payload: contextUuid
  };
}

function setOutcomesEndpoint(endpoint) {
  return {
    type: _constants.SET_OUTCOMES_ENDPOINT,
    payload: endpoint
  };
}

function setOutcomesToken(token) {
  return {
    type: _constants.SET_OUTCOMES_TOKEN,
    payload: token
  };
}