"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toggleRegradingEditMode = toggleRegradingEditMode;
exports.setRegradingPayload = setRegradingPayload;
exports.setScoreReconciliation = setScoreReconciliation;

var _constants = require("@instructure/quiz-common/lib/constants");

function toggleRegradingEditMode(identifier) {
  return {
    payload: identifier,
    type: _constants.REGRADE_TOGGLE_REGRADING_EDIT_MODE
  };
}

function setRegradingPayload(payload) {
  return {
    payload: payload,
    type: _constants.REGRADE_SET_PAYLOAD
  };
}

function setScoreReconciliation(scoreReconciliation) {
  return {
    type: _constants.REGRADE_SET_SCORE_RECONCILIATION,
    payload: scoreReconciliation
  };
}