"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _redux = require("redux");

var _reactRedux = require("../../../react-redux");

var _upload = require("../../../actions/upload");

var _quizzes = require("../../../../building/api/quizzes");

var _presenter = _interopRequireDefault(require("./presenter"));

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    setUploadStatus: (0, _redux.bindActionCreators)(_upload.uploadStatus, dispatch),
    interactionFileUpload: (0, _redux.bindActionCreators)(_quizzes.interactionFileUpload, dispatch)
  };
};

var _default = (0, _reactRedux.connect)(null, mapDispatchToProps)(_presenter.default);

exports.default = _default;