"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var breakpoints = _ref.breakpoints,
      colors = _ref.colors,
      typography = _ref.typography;
  return {
    phoneBreakPoint: "max-width: ".concat(breakpoints.medium),
    menuButtonFontSize: typography.fontSizeLarge,
    menuButtonColor: colors.licorice,
    menuButtonHoverOpacity: '0.6'
  };
}