"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var colors = _ref.colors,
      spacing = _ref.spacing,
      borders = _ref.borders,
      typography = _ref.typography;
  return {
    numberSummaryColor: colors.licorice,
    numberSummaryFontSize: typography.fontSizeMedium,
    numberSummaryFontWeight: typography.fontWeightBold,
    firstNumberSummaryPadding: spacing.xxSmall,
    secondNumberSummaryPadding: spacing.xxSmall,
    verticalDotsBorderWidth: borders.widthSmall,
    verticalDotsBorderColor: colors.licorice
  };
}