"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var borders = _ref.borders,
      colors = _ref.colors,
      typography = _ref.typography,
      spacing = _ref.spacing;
  return {
    borderColor: colors.white,
    bottomBorderColor: colors.tiara,
    bottomBorderWidth: borders.widthSmall,
    darkTextColor: colors.licorice,
    hoverBorderColor: colors.electric,
    hoverBorderWidth: borders.widthLarge,
    infoHeaderColor: colors.slate,
    infoHeaderFontSize: typography.fontSizeXSmall,
    itemBodyFontSize: typography.fontSizeSmall,
    itemBodyMarginTop: spacing.xxSmall,
    mainTextPaddingTop: spacing.xSmall,
    numberFontSize: typography.fontSizeMedium,
    numberFontWeight: typography.fontWeightBold,
    sidebarClosedMargin: '-' + spacing.xSmall,
    sidebarClosedPadding: spacing.small,
    sidebarIsOpenMainTextFontSize: typography.fontSizeXSmall,
    sidebarIsOpenPadding: "".concat(spacing.small, " 0 ").concat(spacing.medium, " 0"),
    sidebarItemLogoFontSize: typography.fontSizeMedium
  };
}