"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactRedux = require("../../../../../react-redux");

var _stateHelper = _interopRequireDefault(require("../../../../../util/stateHelper"));

var _modifications = require("../../../../../actions/modifications");

var _ui = require("../../../../../actions/ui");

var _alerts = require("../../../../../actions/alerts");

var _presenter = _interopRequireDefault(require("./presenter"));

var mapStateToProps = function mapStateToProps(state, props) {
  return {
    editingQuizEntry: _stateHelper.default.editingQuizEntry(),
    interactionTypes: _stateHelper.default.interactionTypes(),
    quizEntryWithErrorsShowing: _stateHelper.default.quizEntryWithErrorsShowing()
  };
};

var mapDispatchToProps = {
  createItem: _modifications.createItem,
  createStimulus: _modifications.createStimulus,
  screenreaderNotification: _alerts.screenreaderNotification,
  setNextQuizEntry: _modifications.setNextQuizEntry,
  setUi: _ui.set
};

var _default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_presenter.default);

exports.default = _default;