"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      borders = _ref.borders,
      typography = _ref.typography,
      breakpoints = _ref.breakpoints;
  return {
    phoneBreakPoint: "max-width: ".concat(breakpoints.medium),
    popoverContentMargin: spacing.medium,
    popoverHeaderBoxBorderWidth: borders.widthSmall,
    popoverHeaderBoxBorderColor: colors.tiara
  };
}