"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      borders = _ref.borders,
      typography = _ref.typography,
      transitions = _ref.transitions;
  return {
    attachQuestionButtonHolderZIndex: '2222',
    newItemButtonMargin: spacing.xSmall,
    newItemButtonPadding: spacing.xSmall,
    newItemButtonBackgroundColor: colors.brand,
    newItemButtonBorderRadius: spacing.large,
    newItemButtonColor: colors.white,
    newItemButtonFocusOutline: "2px solid ".concat(colors.brand),
    newItemButtonFontSize: typography.fontSizeMedium,
    newItemButtonFontWeight: typography.fontWeightBold,
    newItemButtonZIndex: '2222',
    newItemButtonBoxShadow: '2px 2px 3px #ddd',
    newItemButtonEditingBackgroundColor: colors.crimson,
    newItemButtonHolderZIndex: '2222',
    newItemButtonTransition: "background-color ".concat(transitions.duration, " linear, transform ").concat(transitions.duration, " ease")
  };
}