"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _redux = require("redux");

var _reactRedux = require("../../../../react-redux");

var _makeScrollable = _interopRequireDefault(require("../../../shared/functionality/makeScrollable"));

var _presenter = _interopRequireDefault(require("./presenter"));

function mapStateToProps(state) {
  return {
    itemResultsModifications: state.getIn(['modifications', 'sessionItemResults'])
  };
}

var _default = (0, _redux.compose)((0, _reactRedux.connect)(mapStateToProps), _makeScrollable.default)(_presenter.default);

exports.default = _default;