"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      typography = _ref.typography,
      colors = _ref.colors,
      borders = _ref.borders;
  return {
    leftPanelPadding: spacing.xxSmall,
    leftPanelBorderWidth: borders.widthSmall,
    leftPanelBorderColor: colors.tiara,
    rightPanelPadding: spacing.xSmall,
    dragAndDropHandleZIndex: '3333',
    dragAndDropHandleFontSize: typography.fontSizeMedium,
    dragAndDropHandleMargin: spacing.xSmall
  };
}