"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      typography = _ref.typography,
      colors = _ref.colors;
  return {
    stimulusPadding: spacing.large,
    buttonWrapperPadding: spacing.small,
    headerPadding: spacing.small,
    optionPadding: spacing.small,
    stimulusContentPadding: spacing.small,
    stimulusContentPaddingBottom: spacing.small,
    stimulusLabelColor: colors.ash,
    stimulusLabelFontSize: typography.fontSizeSmall,
    stimulusButtonsColor: colors.oxford,
    stimulusButtonsZIndex: '3333'
  };
}