"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      typography = _ref.typography,
      colors = _ref.colors;
  return {
    stimulusPadding: spacing.large,
    headerPadding: spacing.small,
    stimulusLabelColor: colors.ash,
    stimulusLabelFontSize: typography.fontSizeSmall,
    stimulusLabelMargin: spacing.xSmall,
    stimulusContentPaddingTop: spacing.large,
    stimulusContentPaddingBottom: spacing.small,
    stimulusContentPaddingLeftRight: spacing.small
  };
}