"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      borders = _ref.borders,
      breakpoints = _ref.breakpoints,
      transitions = _ref.transitions;
  return {
    contentTransitionDuration: transitions.duration,
    contentBorderRadius: borders.radiusSmall,
    contentBackgroundColor: colors.white,
    contentBoxShadow: '2px 2px 12px 1px #ddd',
    contentMaxWidth: '79.5rem',
    contentMargin: spacing.medium,
    phoneBreakPoint: "max-width: ".concat(breakpoints.medium),
    phoneContentMargin: spacing.xSmall
  };
}