"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      borders = _ref.borders,
      breakpoints = _ref.breakpoints,
      transitions = _ref.transitions;
  return {
    wrapperPadding: spacing.medium,
    wrapperTransitionDuration: transitions.duration,
    wrapperBackgroundColor: colors.porcelain,
    phoneBreakPoint: "max-width: ".concat(breakpoints.medium),
    phoneWrapperPadding: spacing.medium
  };
}