"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.connect = connectToSDKStore;
exports.Provider = void 0;

var _reactRedux = require("react-redux");

/* eslint "no-param-reassign": "warn" */
var STORE_KEY = 'SDKStore';

function connectToSDKStore(mapStateToProps, mapDispatchToProps, mergeProps) {
  var options = arguments.length > 3 && arguments[3] !== void 0 ? arguments[3] : {};
  options.storeKey = options.storeKey || STORE_KEY;
  return (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps, mergeProps, options);
}

var Provider = (0, _reactRedux.createProvider)(STORE_KEY);
exports.Provider = Provider;