"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStateToProps = mapStateToProps;
exports.default = void 0;

var _reactRedux = require("../../../../common/react-redux");

var _moderation = require("../../../../common/actions/moderation");

var _presenter = _interopRequireDefault(require("./presenter"));

function mapStateToProps(state) {
  return {
    isOpen: state.getIn(['moderation', 'trayOpen']) || false,
    participantName: state.getIn(['moderation', 'selectedParticipantName'])
  };
}

var _default = (0, _reactRedux.connect)(mapStateToProps, {
  closeTray: _moderation.closeTray,
  onTrayClosed: _moderation.onTrayClosed
})(_presenter.default);

exports.default = _default;