"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      typography = _ref.typography,
      breakpoints = _ref.breakpoints;
  return {
    itemAnalysisRowPadding: spacing.small,
    itemAnalysisRowMargin: spacing.small,
    headerTextColor: colors.ash,
    headerTextFontSize: typography.fontSizeXSmall,
    metricNoteFontSize: typography.fontSizeMedium,
    metricNoteColor: colors.ash,
    metricsRowLowerPadding: spacing.large,
    stemFontSize: typography.fontSizeXSmall,
    stemLineHeight: typography.lineHeight,
    stemMargin: spacing.small,
    emptyTextPadding: spacing.small,
    emptyTextColor: colors.ash,
    answerDistributionPadding: spacing.small,
    answerDistributionChartPadding: spacing.small,
    answerDistributionLegendPadding: spacing.small,
    answerDistributionSwatchColor: colors.electric,
    phoneBreakPoint: "max-width: ".concat(breakpoints.medium)
  };
}