"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _constants = require("@instructure/quiz-common/lib/constants");

var _default = function _default(val, options) {
  var limit = options.limit || _constants.BUILD_CHAR_LIMIT;

  if (val && JSON.stringify(val).length > limit) {
    return "\u6700\u5927\u30B3\u30F3\u30C6\u30F3\u30C4\u3092\u8D85\u3048\u307E\u3057\u305F\uFF01";
  }
};

exports.default = _default;