"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactImmutableProptypes = _interopRequireDefault(require("react-immutable-proptypes"));

var _Button = _interopRequireDefault(require("@instructure/ui-buttons/lib/components/Button"));

var _CloseButton = _interopRequireDefault(require("@instructure/ui-buttons/lib/components/CloseButton"));

var _Heading = _interopRequireDefault(require("@instructure/ui-elements/lib/components/Heading"));

var _Text = _interopRequireDefault(require("@instructure/ui-elements/lib/components/Text"));

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _constants = require("@instructure/quiz-common/lib/constants");

var _Modal = _interopRequireWildcard(require("@instructure/quiz-common/lib/components/Modal"));

var MoveImmutableModal =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(MoveImmutableModal, _Component);

  function MoveImmutableModal() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, MoveImmutableModal);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(MoveImmutableModal)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _this.handleSubmit = function (e) {
      var _this$props = _this.props,
          quizId = _this$props.quizId,
          position = _this$props.position,
          stimulusQuizEntryId = _this$props.stimulusQuizEntryId,
          quizEntry = _this$props.quizEntry;

      _this.props.closeModal();

      _this.props.setUI(_constants.MOVED_IN_SIDEBAR, _this.props.movedInSidebar);

      _this.props.moveImmutableQuizEntry(quizId, position, stimulusQuizEntryId, quizEntry.id);
    };

    _this.closeAction = function () {
      _this.props.closeModal();
    };

    return _this;
  }

  (0, _createClass2.default)(MoveImmutableModal, [{
    key: "cancelButton",
    value: function cancelButton() {
      return _react.default.createElement(_Button.default, {
        onClick: this.closeAction,
        margin: _constants.XSMALL_SIDE_MARGIN
      }, "\u041E\u0442\u043C\u0435\u043D\u0438\u0442\u044C");
    }
  }, {
    key: "doneButton",
    value: function doneButton() {
      return _react.default.createElement(_Button.default, {
        variant: "primary",
        onClick: this.handleSubmit,
        margin: _constants.XSMALL_SIDE_MARGIN
      }, "\u041A\u043B\u043E\u043D\u0438\u0440\u043E\u0432\u0430\u0442\u044C \u0438 \u043F\u0435\u0440\u0435\u0439\u0442\u0438");
    }
  }, {
    key: "renderBody",
    value: function renderBody() {
      return _react.default.createElement("div", null, "\u041F\u0435\u0440\u0435\u0445\u043E\u0434 \u0432 \u044D\u0442\u0443 \u043F\u043E\u0437\u0438\u0446\u0438\u044E \u043F\u0440\u0438\u0432\u0435\u0434\u0435\u0442 \u043A \u043A\u043B\u043E\u043D\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u044E \u0432\u043E\u043F\u0440\u043E\u0441\u0430 \u0438 \u0438\u0437\u043C\u0435\u043D\u0435\u043D\u0438\u044E \u0430\u0441\u0441\u043E\u0446\u0438\u0438\u0440\u043E\u0432\u0430\u043D\u043D\u043E\u0433\u043E \u0441 \u043D\u0438\u043C \u0441\u0442\u0438\u043C\u0443\u043B\u0430, \u0442\u0430\u043A \u043A\u0430\u043A \u0441\u0442\u0443\u0434\u0435\u043D\u0442\u044B \u0443\u0436\u0435 \u043D\u0430\u0447\u0430\u043B\u0438 \u043E\u0442\u0432\u0435\u0447\u0430\u0442\u044C \u043D\u0430 \u043D\u0435\u0433\u043E.");
    }
  }, {
    key: "render",
    value: function render() {
      return _react.default.createElement(_Modal.default, {
        open: this.props.modalOpen,
        onDismiss: this.closeAction,
        size: "small",
        label: "\u041F\u043E\u0434\u0442\u0432\u0435\u0440\u0434\u0438\u0442\u044C \u043A\u043B\u043E\u043D\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u0435 \u0438 \u043F\u0435\u0440\u0435\u0439\u0442\u0438"
      }, _react.default.createElement(_Modal.ModalHeader, null, _react.default.createElement(_Heading.default, {
        level: "reset",
        as: "h2"
      }, "\u041F\u043E\u0434\u0442\u0432\u0435\u0440\u0434\u0438\u0442\u044C \u043A\u043B\u043E\u043D\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u0435 \u0438 \u043F\u0435\u0440\u0435\u0439\u0442\u0438"), _react.default.createElement(_CloseButton.default, {
        onClick: this.closeAction,
        placement: "end",
        offset: "medium",
        variant: "icon"
      }, "\u0417\u0430\u043A\u0440\u044B\u0442\u044C")), _react.default.createElement(_Modal.ModalBody, null, _react.default.createElement(_Text.default, null, this.renderBody())), _react.default.createElement(_Modal.ModalFooter, null, this.cancelButton(), this.doneButton()));
    }
  }]);
  MoveImmutableModal.displayName = "MoveImmutableModal";
  return MoveImmutableModal;
}(_react.Component);

exports.default = MoveImmutableModal;
MoveImmutableModal.propTypes = {
  closeModal: _propTypes.default.func.isRequired,
  modalOpen: _propTypes.default.bool.isRequired,
  moveImmutableQuizEntry: _propTypes.default.func.isRequired,
  movedInSidebar: _propTypes.default.bool,
  position: _propTypes.default.number,
  quizEntry: _reactImmutableProptypes.default.record,
  quizId: _propTypes.default.string,
  setUI: _propTypes.default.func.isRequired,
  stimulusQuizEntryId: _propTypes.default.string
};
MoveImmutableModal.defaultProps = {
  movedInSidebar: false,
  position: void 0,
  quizEntry: void 0,
  quizId: void 0,
  stimulusQuizEntryId: void 0
};